define([
	"dojo/json"
], function(JSON){
	return function(containerName, widgetName, options, children){


		switch (containerName){
			case 'aps/PageContainer':
				var code = 'load(["' + widgetName + '", ' + JSON.stringify(options, null, '\t') + ']);';
				return code;
				break;
			case 'aps/Panel':
				var code = 'load(["aps/Panel", {}, [\n' +
					'["' + widgetName + '", ' + JSON.stringify(options, null, '\t') + ']\n' +
					']]);';
				return code;
				break;
			case 'aps/FieldSet':
				var code = 'load(["aps/Panel", {}, [\n' +
					'["aps/FieldSet", {}, [\n' +
					'["' + widgetName + '", ' + JSON.stringify(options, null, '\t') + ']\n' +
					']]\n' +
					']]);';
				return code;
				break;
			case 'aps/Container':
				var code = 'load(["aps/Panel", {}, [\n' +
					'["aps/Container", {}, [\n' +
					'["' + widgetName + '", ' + JSON.stringify(options, null, '\t') + ']\n' +
					']]\n' +
					']]);';
				return code;
				break;
			case 'aps/Tiles':
				var code = 'load(["aps/Tiles", {}, [\n' +
					'["' + widgetName + '", ' + JSON.stringify(options, null, '\t') + ']\n' +
					']]);';
				return code;
				break;
			case 'aps/Toolbar':
				var code = 'load(["aps/Panel", {}, [\n' +
					'["aps/Toolbar", {}, [\n' +
					'["' + widgetName + '", ' + JSON.stringify(options, null, '\t') + ']\n' +
					']]\n' +
					']]);';
				return code;
				break;
		}
	}
});
